[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] Unmarshalling error with migrate command



On Fri, Jul 16, 2010 at 12:52 PM, Doug Goldstein <cardoe gentoo org> wrote:
> Hey guys,
>
> I'm using a server running libvirt 0.8.2 and my desktop running
> libvirt 0.8.2. My desktop has virt-manager 0.8.4 and I've got a Linux
> VM running on the server. I'm looking to use the new migration support
> to migrate the VM to my desktop from the server. Everytime I attempt
> the migration I get an error dialog containing the following (I've
> actually snagged this out of ~/.virt-manager/virt-manager.log
>
> [Wed, 07 Jul 2010 18:13:23 virt-manager 18880] DEBUG (migrate:456)
> Migrating vm=CentOS-5.4-i686-PAE from qemu+ssh://root codeine/system
> to qemu:///system
> [Wed, 07 Jul 2010 18:13:23 virt-manager 18880] DEBUG (domain:1351)
> Migrating: conn=<libvirt.virConnect instance at 0x2a305f0> flags=7
> dname=None uri=qemu://doug-pc/system rate=0[Wed, 07 Jul 2010 18:13:23
> virt-manager 18880] DEBUG (error:86) Uncaught Error: unmarshalling
> remote_error : Unable to migrate guest:
>  Traceback (most recent call last):
>  File "/usr/share/virt-manager/virtManager/migrate.py", line 457, in
> _async_migrate
>    vm.migrate(dstconn, migrate_uri, rate, live, secure)
>  File "/usr/share/virt-manager/virtManager/domain.py", line 1352, in migrate
>    self._backend.migrate(destconn.vmm, flags, newname, interface, rate)
>  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 479, in migrate
>    prefer to invoke virDomainMigrateToURI, avoiding the need to
> libvirtError: unmarshalling remote_error
>
> If anyone has any ideas, please let me know.
>
> --
> Doug Goldstein
>

I unfortunately have to reply to myself since Google Apps or whatever
the heck its called now ate the response.

remote:

virsh # version
Compiled against library: libvir 0.8.2
Using library: libvir 0.8.2
Using API: QEMU 0.8.2
Running hypervisor: QEMU 0.12.4

local:

virsh # version
Compiled against library: libvir 0.8.2
Using library: libvir 0.8.2
Using API: QEMU 0.8.2
Running hypervisor: QEMU 0.12.4

They're both Gentoo boxes. I maintain the packages for Gentoo. After
an upgrade of the package we stop the daemon and start it back up
without touching any of the VMs (since libvirt supports this
gracefully now).

-- 
Doug Goldstein


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]